Horizon Agent for Linux에는 Linux 배포에 고유한 일부 종속성 패키지가 있습니다. Horizon Agent for Linux를 설치하기 전에 이러한 패키지를 설치해야 합니다.

필수 조건

vCenter Server에서 새 VM(가상 시스템)이 생성되었으며 Linux 배포가 시스템에 설치되어 있는지 확인합니다.

프로시저

  1. 기본적으로 설치 또는 업그레이드되지 않은 필수 패키지를 설치합니다. 요구 사항을 충족하지 않는 패키지가 있으면 설치 관리자가 설치를 중단합니다.
    표 1. 필수 종속성 패키지

    Linux 배포

    패키지

    SLED 11 SP3/SP4

    xorg-x11-server를 7.4.27.111.1보다 높은 버전으로 업그레이드

    zypper install xorg-x11-server

    SLES 12 SP1/SLED 12 SP1

    SUSE 저장소에서 xf86-video-vmware를 13.0.2-3.2보다 높은 버전으로 업그레이드

    1. SUSE 저장소를 사용하도록 설정하려면 SUSE 12를 등록합니다.

      SUSEConnect -r 등록 코드 -e 이메일
    2. xf86-video-vmware 버전을 업데이트합니다.

      zypper install xf86-video-vmware

    SLES 12

    Horizon Agent를 설치하는 경우 SLES 12 Linux 데스크톱을 사용하려면 python-gobject2를 설치해야 합니다.

    1. SUSE 저장소를 사용하도록 설정하려면 SUSE 12를 등록합니다.

      SUSEConnect -r 등록 코드 -e 이메일
    2. python-gobject2를 설치합니다.

      zypper install python-gobject2

    Ubuntu 14.04

    indicator-session을 https://launchpad.net/ubuntu/wily/amd64/indicator-session/12.10.5+15.04.20150327-0ubuntu1에서 사용할 수 있는 12.10.5+15.04.20150327로 업그레이드

    wget http://launchpadlibrarian.net/201393830/indicator-session_12.10.5+15.04.20150327-0ubuntu1_amd64.deb
    sudo dpkg -i ./indicator-session_12.10.5+15.04.20150327-0ubuntu1_amd64.deb 

    Ubuntu 16.04

    apt-get install python-dbus python-gobject

  2. Horizon Agent에 선택 패키지를 설치합니다.
    • 기본적으로 RHEL 또는 CentOS 6.7에는 교착 상태 문제를 야기할 수 있는 glibc-2.12-1.166.el6.x86_64가 설치되어 있습니다. 결과적으로 데스크톱 연결이 끊어집니다. 이 문제를 해결하려면 glibc를 온라인 저장소에서 최신 버전으로 업그레이드해야 합니다.

      sudo yum install glibc
    • 다중 모니터가 있는 Ubuntu 14.04 데스크톱에서는 더 나은 성능을 위해 Compiz를 사용하지 않도록 설정하는 데 gnome-session-fallback이 필요합니다.

      sudo apt-get install gnome-session-fallback
    • 다중 모니터가 있는 Ubuntu 16.04 데스크톱에서는 더 나은 성능을 위해 Compiz를 사용하지 않도록 설정하는 데 gnome-session-flashback이 필요합니다.

      sudo apt-get install gnome-session-flashback